OAuthProvider::tokenHandler
SCA
OAuth
PHP Manual

# OAuthException class

(PECL OAuth >= 0.99.1)

## Introduction

This exception is thrown when exceptional errors occur while using the OAuth extension and contains useful debugging information.

## Class synopsis

OAuthException extends Exception {
/* Properties */
public $lastResponse ;
public $debugInfo ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

lastResponse

  The response of the exception which occurred, if any

debugInfo

OAuthProvider::tokenHandler
SCA
OAuth
PHP Manual